### Method

# Shumate VectorReader iterate

since: 1.2

#### Declaration [src]

    ShumateVectorReaderIter*
    shumate_vector_reader_iterate (
      ShumateVectorReader* self
    )

#### Description [src]

Creates a new `ShumateVectorReaderIter` for `self`.

Available since: 1.2

#### Return value

Type: `ShumateVectorReaderIter`

A new `ShumateVectorReaderIter`

The caller of the method takes ownership of the data, and is responsible for freeing it.